// 靶向提升相关接口api
import { get, post} from '../common/http';
import base from '../common/base';
const targetImprove = {

  //获取顶部头部筛选
  getTargetHeaderData(data) {
    return get( base.prefix+ `/api/v1/studentTarge/target_top`, data)
  },

  // 查看练习结果 列表
  getTargetExerciseResult(data){
    return post( base.prefix+ `/api/v1/studentTarge/exercise_result`, data)
  },

  // 练习结果 _查看详情
  getExerciseResultDetail(data){
    return get( base.prefix+ `/api/v1/studentTarge/exercise_question`, data)
  },

  
  //获取学生端错题本筛选信息接口
  getTargetErrorTopData(data) {
    return get( base.prefix+ `/api/v1/studentError/error_top`, data)
  },


  //获取学生端错题知识点列表接口
  getTargetErrorKnowledgeList(data) {
    return post( base.prefix+ `/api/v1/studentError/error_knowledge`, data)
  },

  //获取学生端知识点错题列表接口
  getTargetErrorQuestionListData(data) {
    return post( base.prefix+ `/api/v1/studentError/error_question`, data)
  },

  // 待练习知识点
  studentTargeWaitExercise(data) {
    return get( base.prefix+ `/api/v1/studentTarge/wait_exercise`, data)
  },
  // 查询试题列表（type 1待练习的列表 2已练习的列表）
  studentTargeExerciseQuestion(data) {
    return get( base.prefix+ `/api/v1/studentTarge/exercise_question`, data)
  },
  // 提交练习答案
  studentTargeQuestionAnswering(data) {
    return get( base.prefix+ `/api/v1/studentTarge/question_answering`, data)
  },
  // 提交作答
  studentTargeSubmitExercise(data) {
    return get( base.prefix+ `/api/v1/studentTarge/submit_exercise`, data)
  },
  // 知识图谱
  knowledgeGraph(data) {
    return post( base.prefix+ `/api/v1/studentTarge/knowledge_graph`, data)
  },
  
  // 知识图谱 - 知识点分区
  knowledgePartition(data) {
    return post( base.prefix+ `/api/v1/studentTarge/knowledge_partition`, data)
  },
  // 加入练习
  addExercise(data) {
    return post( base.prefix+ `/api/v1/studentTarge/add_exercise`, data)
  },
}

export default targetImprove